Sikkerhedsopdatering af Moby-programmet i Azure IoT Edge til CVE-2020-13401

Dato for publicering: 02 juni, 2020

Der er fundet en sikkerhedsrisiko i Moby-programkomponenter i Azure IoT Edge. Windows-versioner er ikke berørt. Få oplysninger om dette problem: CVE-2020-13401.

Følg nedenstående fremgangsmåde for at løse problemet i Moby-programversion 3.0.12 eller nyere:

  1. Stop iotedge-daemon.
    • sudo systemctl stop iotedge
       
  2. Fjern den eksisterende pakke med Moby-programmet.
    • sudo apt-get remove docker
       
  3. Slet gemt kontekst for Moby-programmet. Dette vil fjerne alle cachelagrede objektbeholdere.
    • ​​sudo rm -rf /var/lib/docker
       
  4. Følg instruktioner for at installere Moby-programmet, og kontrollér efter installationen, at versionen er 3.0.12 eller nyere.
    •  sudo docker version
       
  5.  Start iotedge-daemon.
    •  sudo systemctl start iotedge

Download RPM-pakken.

  • Azure IoT Edge
  • Compliance
  • Security

Relaterede produkter